## massxpert 3.2.0

=== CMakeLists.txt ===
#############################################################
# Software configuration
PROJECT (massxpert)
SET (VERSION "3.2.0")

IF (APPLE)
  # If Mac OS X, then capitalize the program name.
  set (PROGNAME massXpert)
ELSE (NOT APPLE)
  set (PROGNAME massxpert)
ENDIF (APPLE)

# Required to install and reference the translation files and to give
# to the executable (in Mac OS X) the proper filename.
set (TARGET ${PROGNAME})

#############################################################
# CMake configuration
CMAKE_MINIMUM_REQUIRED (VERSION 2.6.0)

SET (CMAKE_COLOR_MAKEFILE ON)
SET (CMAKE_VERBOSE_MAKEFILE ON)

#############################################################
# Enable warnings and treat them as errors, on GNU/Linux only
IF (UNIX)
  SET (PEDANTIC TRUE CACHE BOOL "Should we compile with -Wall -Werror.")
  
  IF (PEDANTIC)
    ADD_DEFINITIONS (-Wall -Werror)
  ENDIF (PEDANTIC)
ENDIF (UNIX)

IF (WIN32)
  SET (PEDANTIC TRUE CACHE BOOL "Should we compile with -Wall.")
  
  IF (PEDANTIC)
    ADD_DEFINITIONS (-Wall)
  ENDIF (PEDANTIC)
ENDIF (WIN32)

#############################################################
#############################################################
# Installation directories depending on the platform.

IF (WIN32)
  # ${CMAKE_INSTALL_PREFIX} == "C:/Program Files/massxpert" The
  # CMAKE_INSTALL_PREFIX value can be changed by running
  #
  #'cmake -d CMAKE_INSTALL_PREFIX=C:/Program Files/massxpert'
  #
  #, for example.
  SET (MASSXPERT_BIN_DIR ${CMAKE_INSTALL_PREFIX})
  SET (MASSXPERT_DATA_DIR ${CMAKE_INSTALL_PREFIX}/data)
  SET (MASSXPERT_PLUGIN_DIR ${CMAKE_INSTALL_PREFIX}/plugins)
  SET (MASSXPERT_LOCALE_DIR ${CMAKE_INSTALL_PREFIX}/locales)
  SET (MASSXPERT_DOC_DIR ${CMAKE_INSTALL_PREFIX}/doc)
ENDIF (WIN32)

IF (UNIX AND NOT APPLE)
  SET (MASSXPERT_BIN_DIR ${CMAKE_INSTALL_PREFIX}/bin)
  SET (MASSXPERT_DATA_DIR ${CMAKE_INSTALL_PREFIX}/share/massxpert)

  # Plugin-specific stuff, some distros set CMAKE_INSTALL_LIBDIR to
  # /usr/lib64 (Fedora64, for example)
  IF (NOT CMAKE_INSTALL_LIBDIR)
    SET (CMAKE_INSTALL_LIBDIR ${CMAKE_INSTALL_PREFIX}/lib)
  ENDIF (NOT CMAKE_INSTALL_LIBDIR)
  SET (MASSXPERT_PLUGIN_DIR ${CMAKE_INSTALL_LIBDIR}/massxpert/plugins)

  SET (MASSXPERT_LOCALE_DIR ${CMAKE_INSTALL_PREFIX}/share/massxpert/locales)
  SET (MASSXPERT_DOC_DIR ${CMAKE_INSTALL_PREFIX}/share/doc/massxpert)
  SET (MASSXPERT_USERMAN_DIR ${MASSXPERT_DOC_DIR}/usermanual)
ENDIF (UNIX AND NOT APPLE)

IF (APPLE)
  SET (BUNDLE_DIR ${CMAKE_CURRENT_BINARY_DIR}/gui/massXpert.app)
  SET (MASSXPERT_BIN_DIR ${BUNDLE_DIR}/Contents/MacOS)
  SET (MASSXPERT_DATA_DIR ${BUNDLE_DIR}/Contents/Resources/data)
  SET (MASSXPERT_PLUGIN_DIR ${BUNDLE_DIR}/Contents/Plugins)
  SET (MASSXPERT_LOCALE_DIR ${BUNDLE_DIR}/Contents/Locales)
  SET (MASSXPERT_DOC_DIR ${BUNDLE_DIR}/Contents/Doc)
ENDIF (APPLE)



#############################################################
#############################################################
# There are two functional subtrees in the source:
#
# 1. The source code generating the massxpert binary, which is
# architecture-dependent;
#
# 2. The chemical data and the documentation (user manual) which are
# architecture independent.
#
# Note that if BUILD_ALL = 1 then all of the BUILD_PROGRAM, BUILD_DATA or
# BUILD_USERMANUAL are defined to 1 and everything is built.

IF (BUILD_ALL)
  SET (BUILD_PROGRAM 1)
  SET (BUILD_DATA 1)
  SET (BUILD_USERMANUAL 1)
ENDIF (BUILD_ALL)

IF (BUILD_RESET)
  SET (BUILD_PROGRAM 0)
  SET (BUILD_DATA 0)
  SET (BUILD_USERMANUAL 0)
ENDIF (BUILD_RESET)

IF (NOT BUILD_PROGRAM AND NOT BUILD_DATA AND NOT BUILD_USERMANUAL)
  SET (BUILD_PROGRAM 1)
  SET (BUILD_DATA 1)
  SET (BUILD_USERMANUAL 0)
ENDIF (NOT BUILD_PROGRAM AND NOT BUILD_DATA AND NOT BUILD_USERMANUAL)


#############################################################
######################
# BUILD OF THE PROGRAM

IF (${BUILD_PROGRAM})

  IF (CMAKE_BUILD_TYPE STREQUAL "debug")
    ADD_DEFINITIONS (-g -O2)
  ENDIF ()
  
  ################
  # Search for Qt4
  SET (QT_USE_QTXML TRUE)
  SET (QT_USE_QTSVG TRUE)

  SET (QT_MIN_VERSION "4.4.0")
  FIND_PACKAGE (Qt4 REQUIRED)
  MESSAGE (STATUS "QTVERSION:" ${QTVERSION})

  INCLUDE (${QT_USE_FILE})

  # Use all the configured paths to create the config.h file.
  CONFIGURE_FILE (${CMAKE_SOURCE_DIR}/CMakeTemplates/config.h.in 
    ${CMAKE_CURRENT_BINARY_DIR}/config.h @ONLY)

  ###############
  # install stuff

  # The license file
  INSTALL (FILES COPYING
    DESTINATION ${MASSXPERT_DOC_DIR})

  # The desktop file
  IF (UNIX AND NOT APPLE)
    INSTALL (FILES massxpert.desktop
      DESTINATION ${CMAKE_INSTALL_PREFIX}/share/applications)
  ENDIF (UNIX AND NOT APPLE)

  # The manual page
  IF (UNIX AND NOT APPLE)
    INSTALL (FILES massxpert.1
      DESTINATION ${CMAKE_INSTALL_PREFIX}/share/man/man1)
  ENDIF (UNIX AND NOT APPLE)

  ###############
  # Plugins should not have a soname, so override the CMake default, which gives them one
  # create a shared C++ library but with no soname in the lib file:
  SET(CMAKE_CXX_CREATE_SHARED_MODULE
    "<CMAKE_CXX_COMPILER> <CMAKE_SHARED_LIBRARY_CXX_FLAGS> <LANGUAGE_COMPILE_FLAGS> <LINK_FLAGS> <CMAKE_SHARED_LIBRARY_CREATE_CXX_FLAGS>  -o <TARGET> <OBJECTS> <LINK_LIBRARIES>")
  # Compare the line above with
  # /usr/share/cmake-2.6/Modules/CMakeCXXInformation.cmake

  #################
  # process subdirs
  SUBDIRS (lib gui plugins-src i18n)


ENDIF (${BUILD_PROGRAM})


#############################################################
###################
# BUILD OF THE DATA

IF (${BUILD_DATA})
  
  ###############
  # install stuff
  
  # The license file
  INSTALL (FILES COPYING
    DESTINATION ${MASSXPERT_DOC_DIR})
  
  # The manual pages (data)
  IF (UNIX AND NOT APPLE)
    INSTALL (FILES massxpert-data.7
      DESTINATION ${CMAKE_INSTALL_PREFIX}/share/man/man7)
  ENDIF (UNIX AND NOT APPLE)
  
  #################
  # process subdirs
  SUBDIRS (data)
  
ENDIF (${BUILD_DATA})


#############################################################
##########################
# BUILD OF THE USER MANUAL

IF (${BUILD_USERMANUAL})
  
  # Below : no more in use since started using UseLATEX.cmake
  # Use the configured VERSION to create the 
  # usermanual/massxpert-version.tex file
  #
  #CONFIGURE_FILE (${CMAKE_SOURCE_DIR}/CMakeTemplates/massxpert-version.tex.in
  #  ${CMAKE_SOURCE_DIR}/usermanual/massxpert-version.tex @ONLY)
  
  
  ###############
  # install stuff
  
  # The license file
  INSTALL (FILES COPYING
    DESTINATION ${MASSXPERT_DOC_DIR})
  
  # The manual pages (user manual)
  IF (UNIX AND NOT APPLE)
    INSTALL (FILES massxpert-doc.7
      DESTINATION ${CMAKE_INSTALL_PREFIX}/share/man/man7)
  ENDIF (UNIX AND NOT APPLE)
  
  
  #################
  # process subdirs
  SUBDIRS (usermanual)

ENDIF (${BUILD_USERMANUAL})


#############################################################
# summary
MESSAGE ("")
MESSAGE ("~~~~~~~~~~~~~~~~~~~~~~~~ SUMMARY ~~~~~~~~~~~~~~~~~~~~~~~~")
MESSAGE (STATUS "BUILD_PROGRAM:" ${BUILD_PROGRAM})
MESSAGE (STATUS "BUILD_DATA:" ${BUILD_DATA})
MESSAGE (STATUS "BUILD_USERMANUAL:" ${BUILD_USERMANUAL})
MESSAGE ("~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~")
MESSAGE (STATUS "TARGET: " ${TARGET}  --  "VERSION: " ${VERSION})
MESSAGE (STATUS "CMAKE_INSTALL_PREFIX: " ${CMAKE_INSTALL_PREFIX})
MESSAGE (STATUS "MASSXPERT_BIN_DIR: " ${MASSXPERT_BIN_DIR})
MESSAGE (STATUS "MASSXPERT_DATA_DIR: " ${MASSXPERT_DATA_DIR})
MESSAGE (STATUS "MASSXPERT_PLUGIN_DIR: " ${MASSXPERT_PLUGIN_DIR})
MESSAGE (STATUS "MASSXPERT_LOCALE_DIR: " ${MASSXPERT_LOCALE_DIR})
MESSAGE (STATUS "MASSXPERT_DOC_DIR: " ${MASSXPERT_DOC_DIR})
MESSAGE (STATUS "MASSXPERT_USERMAN_DIR: " ${MASSXPERT_USERMAN_DIR})
MESSAGE ("~~~~~~~~~~~~~~~~~~~~~~~~ SUMMARY ~~~~~~~~~~~~~~~~~~~~~~~~")
MESSAGE ("")

=== debian/changelog ===
massxpert (3.2.0-2) unstable; urgency=low

  * debian/control: configure packaging for debug symbols (new
    massxpert-dbg binary package added).

 -- Filippo Rusconi <lopippo@debian.org>  Thu, 24 Nov 2011 13:42:48 +0100

massxpert (3.2.0-1) unstable; urgency=low

  * Upstream release:

    - Added feature to simulate fragmentations of oligomers that contain
    cross-links. 
    
    - Updated the user manual to document the new feature.

 -- Filippo Rusconi <lopippo@debian.org>  Sat, 22 Oct 2011 21:45:33 +0200

massxpert (3.1.0-1) unstable; urgency=low

  * Upstream release:

    - Updated the user manual since a long time, documenting part of the
    features implemented since last manual update;
  
    - Implemented automatic naming of XpertMiner input data dialog
    windows;
  
    - Implemented export of XpertMiner output data into new input data
    dialog windows, so as to be able to chain calculations;
    
    - Refactored isotopic cluster calculation code;
    
    - Implemented a new spectrum calculation feature that simulates a
    complete spectrum starting from a list of oligomers obtained by
    cleavage of a polymer sequence. An isotopic cluster can be computed
    for each oligomer in the list or not. If not, the mono or avg mass can
    be used to compute the peak shape;
    
    - Implemented a new spectrum calculation feature that simulates a
    complete spectrum starting from a list of analytes obtained by
    calculating a m/z ratio series with a elemental formula as the
    starting point.

 -- Filippo Rusconi <lopippo@debian.org>  Mon, 29 Aug 2011 19:01:23 +0200

massxpert (3.0.0-1) unstable; urgency=low

  * Upstream release:
    
    - Major rework of the XpertMiner module;
    - Bug fixes;
    - Feature improvements.

 -- Filippo Rusconi <lopippo@debian.org>  Thu, 21 Jul 2011 22:51:24 +0200

massxpert (2.9.0-1) unstable; urgency=low

  * New upstream release:
  
    - Switched to the TableView data display method the whole XpertMiner
    module. This allows for easier code maintaining and for clearer
    graphical user interface.
    
    - Refactored code in the MzLabInputOligomerTreeView class code to
    improve quality and readability.
  
    - Improved the XpertMiner window layout for more clarity.

    - Added feature to call a calculator window right from the sequence
    editor window with either whole/selected sequence masses preseeded.

 -- Filippo Rusconi <lopippo@debian.org>  Sun, 17 Jul 2011 18:43:48 +0200

massxpert (2.8.0-1) unstable; urgency=low

  * New upstream release:
  
    - Switched to the TableView mass search oligomer display (was using
    TreeView);

 -- Filippo Rusconi <lopippo@debian.org>  Mon, 11 Jul 2011 14:52:08 +0200

massxpert (2.7.0-1) unstable; urgency=low

  * New upstream release:
  
    - Switched to the TableView fragmentation oligomer display (was using
    TreeView);
  
    - Added feature by which it is now possible to stack fragmentation
    oligomers from different fragmentation calculations, thus providing a
    way to have a single list of fragments calculated in different
    ways.

 -- Filippo Rusconi <lopippo@debian.org>  Mon, 04 Jul 2011 22:47:50 +0200

massxpert (2.6.0-1) unstable; urgency=low

  * New upstream release:
  
    - Completely refactored the code for the isotopic cluster
    simulator. Increased speed calculation by a factor ~8. In particular,
    the simulator now handles handsomely the heavily-charged large
    polymers. It can use the gaussian or the lorentzian mathemical model
    to compute the curves.

 -- Filippo Rusconi <lopippo@debian.org>  Wed, 29 Jun 2011 07:48:37 +0200

massxpert (2.5.2-1) unstable; urgency=low

  * New upstream release:
  
    - Fix regression causing a crash when fragmenting oligomers in any
    kind of situation. This fix is critical.
  
 -- Filippo Rusconi <lopippo@debian.org>  Mon, 06 Jun 2011 02:34:46 +0200

massxpert (2.5.1-1) unstable; urgency=low

  * Modified the email address of the uploader to my debian address
    lopippo@debian.org.
  * Removed the DM-Upload-Allowed bit.
  
  * New upstream release:
  
    - Fix serious bug that crashed the program upon recleaving a polymer
    within the same CleavageDlg window. That bug appeared related to the
    upgrade of the Qt libraries as it crept without modifications of the
    massXpert source code. The cleavage oligomers are now displayed in a
    QTableView widget instead of a QTreeView widget which simplified a lot
    both the code and the graphics display of the data.
  
    - Fix problems with the reliability of the cleavage details that were
    provided as feedback when an oligomer from the tree/table view was
    selected.

 -- Filippo Rusconi <lopippo@debian.org>  Sun, 05 Jun 2011 19:08:29 +0200

massxpert (2.5.0-1) unstable; urgency=low

  * New upstream release:
  
    - Implement feature allowing one to apply formulas commonly found
    during fragmentation, like loss of water or loss of ammonia, to each
    fragment oligomer computed for any given fragmentation pattern.

 -- Filippo Rusconi <rusconi-debian@laposte.net>  Sun, 22 May 2011 21:25:17 +0200

massxpert (2.4.4-1) unstable; urgency=low

  * New upstream release:
  
    - Fix FTBFS with gcc-4.6 -Werror (this package builds with -Werror,
    and GCC 4.6 triggers new warnings) reported by Matthias Klose
    <doko@debian.org> (Closes: #625382).

 -- Filippo Rusconi <rusconi-debian@laposte.net>  Wed, 04 May 2011 22:50:03 +0200

massxpert (2.4.3-1) unstable; urgency=low

  * Upstream release. 
    
    - Rewrote the Formula's elementalComposition() so that the order of
    the atoms is in the CHNO->alphabetic conventional order;
    
    - Added ion charge proton to the formula of the z fragmentation
    specification;
    
    - Added feature: when running the mz calculations dialog from the
    sequence editor window, the masses are automatically set in the dialog
    window
    


=== debian/control ===
Source: massxpert
Section: science
Priority: optional
Maintainer: The Debichem Group <debichem-devel@lists.alioth.debian.org>
Uploaders: Filippo Rusconi <lopippo@debian.org>
Build-Depends: debhelper (>=7.0.50~), libqt4-dev (>=4.4.3), cmake (>=2.6.0), texlive-latex-recommended, texlive-fonts-recommended
Standards-Version: 3.9.1
Homepage: http://www.massxpert.org
Vcs-Git: git://git.debian.org/git/debichem/packages/massxpert.git
Vcs-Browser: http://git.debian.org/?p=debichem/packages/massxpert.git

Package: massxpert
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, massxpert-data (>= ${source:Upstream-Version}), massxpert-data (<< ${source:Upstream-Version}A~)
Suggests: massxpert-doc
Replaces: massxpert-bin
Conflicts: massxpert-bin
Description: linear polymer mass spectrometry software
 massXpert is a program to simulate and analyse mass spectrometric
 data obtained on linear (bio-)polymers. It is the successor of GNU
 polyxmass.
 .
 Four modules allow:
  - making brand new polymer chemistry definitions;
  - using the definitions to perform easy calculations in a desktop
    calculator-like manner;
  - performing sophisticated polymer sequence editing and simulations;
  - perform m/z list comparisons;
 .
 Chemical simulations encompass cleavage (either chemical or
 enzymatic), gas-phase fragmentations, chemical modification of any
 monomer in the polymer sequence, cross-linking of monomers in the
 sequence, arbitrary mass searches, calculation of the isotopic
 pattern...

Package: massxpert-dbg
Section: debug
Priority: extra
Architecture: any
Depends: ${misc:Depends}, massxpert (= ${binary:Version})
Description: linear polymer mass spectrometry software - debugging symbols
 massXpert is a program to simulate and analyse mass spectrometric
 data obtained on linear (bio-)polymers. It is the successor of GNU
 polyxmass.
 .
 Four modules allow:
  - making brand new polymer chemistry definitions;
  - using the definitions to perform easy calculations in a desktop
    calculator-like manner;
  - performing sophisticated polymer sequence editing and simulations;
  - perform m/z list comparisons;
 .
 Chemical simulations encompass cleavage (either chemical or
 enzymatic), gas-phase fragmentations, chemical modification of any
 monomer in the polymer sequence, cross-linking of monomers in the
 sequence, arbitrary mass searches, calculation of the isotopic
 pattern...
 .
 This package provides the debugging symbols for massxpert.

Package: massxpert-data
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: linear polymer mass spectrometry software - arch-indep data
 massXpert is a program to simulate and analyse mass spectrometric
 data obtained on linear (bio-)polymers. It is the successor of GNU
 polyxmass.
 .
 This package contains the architecture-independent data required for
 the proper functioning of massXpert. For example, polymer chemistry
 definition files are in this package.

Package: massxpert-doc
Section: doc
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Linear polymer mass spectrometry software - manual
 massXpert is a program to simulate and analyse mass spectrometric
 data obtained on linear (bio-)polymers. It is the successor of GNU
 polyxmass.
 .
 This package contains the manual in PDF format.

=== debian/rules ===
#!/usr/bin/make -f
# Based on the initial work of Joey Hess and Craig Small.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

CMAKE=/usr/bin/cmake

DEB_HOST_GNU_TYPE	?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE	?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

BUILD_INDEP_DIR = $(CURDIR)/debian/build-indep
BUILD_ARCH_DIR = $(CURDIR)/debian/build-arch

INSTALL_INDEP_DIR = $(CURDIR)/debian/tmp-indep
INSTALL_ARCH_DIR = $(CURDIR)/debian/tmp-arch

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CXXFLAGS += -O0
else
	CXXFLAGS += -O2
endif

ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
         NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
         MAKEFLAGS += -j$(NUMJOBS)
endif

$(info "---------------------------------------")
$(info NUMJOBS: $(NUMJOBS))
$(info MAKEFLAGS: $(MAKEFLAGS))
$(info DEB_BUILD_OPTIONS: $(DEB_BUILD_OPTIONS))
$(info "---------------------------------------")

.NOTPARALLEL: 


.PHONY: clean
clean:
	dh_testdir
	dh_testroot

	dh_clean

# The following is for the binary software
	rm -rf $(BUILD_INDEP_DIR)
	rm -rf $(BUILD_ARCH_DIR)
	rm -rf $(INSTALL_INDEP_DIR) $(INSTALL_ARCH_DIR)

# No more used because we now use CMake with UseLATEX.cmake
# The following is for the user manual
#	cd $(CURDIR)/usermanual && $(MAKE) distclean


build-indep-stamp: 
	dh_testdir
	dh_prep -i

	rm -rf $(INSTALL_INDEP_DIR)
	mkdir -p $(BUILD_INDEP_DIR)

# The following is for building of the user manual
	cd $(BUILD_INDEP_DIR) && \
	$(CMAKE) \
	-D BUILD_PROGRAM=0 \
	-D BUILD_DATA=1 \
	-D BUILD_USERMANUAL=1 \
	-D CMAKE_INSTALL_PREFIX=/usr ../.. 

	# No more this way, as we now use CMake with UseLATEX.cmake
	# cd $(CURDIR)/usermanual && $(MAKE) -f Makefile all_no_reload
	$(MAKE) -C $(BUILD_INDEP_DIR)

	touch build-indep-stamp


build-arch-stamp: 
	dh_testdir
	dh_prep -a

	rm -rf $(INSTALL_ARCH_DIR)
	mkdir -p $(BUILD_ARCH_DIR)

# The following is for building of the binary massxpert software
	cd $(BUILD_ARCH_DIR) && \
	$(CMAKE) -D CMAKE_BUILD_TYPE=debug \
	-D BUILD_PROGRAM=1 \
	-D BUILD_DATA=0 \
	-D BUILD_USERMANUAL=0 \
	-D CMAKE_INSTALL_PREFIX=/usr ../.. 

	$(MAKE) -C $(BUILD_ARCH_DIR)

	touch build-arch-stamp


.PHONY: build
build: build-indep-stamp build-arch-stamp

.PHONY: build-indep
build-indep: build-indep-stamp

.PHONY: build-arch
build-arch: build-arch-stamp


install-indep-stamp: build-indep-stamp
	dh_testdir
	dh_testroot
	dh_installdirs -i

	mkdir -p $(INSTALL_INDEP_DIR)
	$(MAKE) -C $(BUILD_INDEP_DIR) install DESTDIR=$(INSTALL_INDEP_DIR)

# Remove the license file
	rm $(INSTALL_INDEP_DIR)/usr/share/doc/massxpert/COPYING

	touch install-indep-stamp


install-arch-stamp: build-arch-stamp
	dh_testdir
	dh_testroot
	dh_installdirs -a

	mkdir -p $(INSTALL_ARCH_DIR)
	$(MAKE) -C $(BUILD_ARCH_DIR) install DESTDIR=$(INSTALL_ARCH_DIR)

# Install menu pixmap
	install -o root -g root -d $(INSTALL_ARCH_DIR)/usr/share/pixmaps
	install -o root -g root -m 644 \
	$(CURDIR)/gui/images/massxpert-icon-32.xpm \
	$(INSTALL_ARCH_DIR)/usr/share/pixmaps/massxpert-icon-32.xpm

# Remove the license file
	rm $(INSTALL_ARCH_DIR)/usr/share/doc/massxpert/COPYING

	touch install-arch-stamp


# Build architecture-independent files here.
.PHONY: binary-indep
binary-indep: install-indep-stamp
	dh_testdir -i
	dh_testroot -i
	dh_installchangelogs -i
	dh_installdocs -i
	dh_install -i
	dh_installman -i
	dh_compress -Xmassxpert.pdf -i
	dh_fixperms -i
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i


# Build architecture-dependent files here.
.PHONY: binary-arch
binary-arch: install-arch-stamp
	dh_testdir -a
	dh_testroot -a
	dh_installchangelogs  -a
	dh_installdocs -a
	# Same doc directory for changelog.Debian.gz and copyright files
	# in both massxpert and massxpert-dbg
	dh_link usr/share/doc/massxpert usr/share/doc/massxpert-dbg
	dh_install -a
	dh_installmenu -a
	dh_installman -a
	dh_strip --dbg-package=massxpert-dbg -a
	dh_compress -a
	dh_fixperms -a
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a


.PHONY: binary
binary: binary-indep binary-arch

## massxpert 3.2.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #############################################################
 # Software configuration
 PROJECT (massxpert)
-SET (VERSION "3.2.0")
+SET (VERSION "3.2.2")
 
 IF (APPLE)
   # If Mac OS X, then capitalize the program name.

=== gui/CMakeLists.txt ===
########################################################
# Files

# Obtain the list with 
# for i in $(ls *.cpp -1 | grep -v ^moc.* | grep -v ^qrc.*) ; do echo "  $i";done
SET (massxpert_SRCS
  aboutDlg.cpp
  application.cpp
  atomDefDlg.cpp
  calculatorChemPadDlg.cpp
  calculatorChemPadGroupBox.cpp
  calculatorRecorderDlg.cpp
  calculatorWnd.cpp
  chemPadButton.cpp
  cleavageDlg.cpp
  cleaveOligomerTableView.cpp
  cleaveOligomerTableViewMimeData.cpp
  cleaveOligomerTableViewModel.cpp
  cleaveOligomerTableViewSortProxyModel.cpp
  cleaveSpecDefDlg.cpp
  compositionsDlg.cpp
  compositionTreeView.cpp
  compositionTreeViewItem.cpp
  compositionTreeViewModel.cpp
  compositionTreeViewSortProxyModel.cpp
  configurationSettingsDlg.cpp
  crossLinkerDefDlg.cpp
  decimalPlacesOptionsDlg.cpp
  fragmentationDlg.cpp
  fragmentOligomerTableView.cpp
  fragmentOligomerTableViewMimeData.cpp
  fragmentOligomerTableViewModel.cpp
  fragmentOligomerTableViewSortProxyModel.cpp
  fragSpecDefDlg.cpp
  main.cpp
  mainWindow.cpp
  massSearchDlg.cpp
  massSearchOligomerTableView.cpp
  massSearchOligomerTableViewMimeData.cpp 
  massSearchOligomerTableViewModel.cpp
  massSearchOligomerTableViewSortProxyModel.cpp
  modifDefDlg.cpp
  monomerCodeEvaluator.cpp
  monomerCrossLinkDlg.cpp
  monomerDefDlg.cpp
  monomerModificationDlg.cpp
  mzCalculationDlg.cpp
  mzCalculationTreeView.cpp
  mzCalculationTreeViewItem.cpp
  mzCalculationTreeViewModel.cpp
  mzCalculationTreeViewSortProxyModel.cpp
  mzLabInputOligomerTableView.cpp
  mzLabInputOligomerTableViewDlg.cpp
  mzLabInputOligomerTableViewModel.cpp
  mzLabInputOligomerTableViewSortProxyModel.cpp
  mzLabOutputOligomerTableView.cpp
  mzLabOutputOligomerTableViewDlg.cpp
  mzLabOutputOligomerTableViewModel.cpp
  mzLabOutputOligomerTableViewSortProxyModel.cpp
  mzLabWnd.cpp
  pkaPhPiDlg.cpp
  polChemDefWnd.cpp
  polymerModificationDlg.cpp
  regionSelection.cpp
  sequenceEditorFindDlg.cpp
  sequenceEditorGraphicsView.cpp
  sequenceEditorGraphicsViewKeyboardHandling.cpp
  sequenceEditorGraphicsViewKeySequenceHandling.cpp
  sequenceEditorWnd.cpp
  sequenceImportDlg.cpp
  sequencePurificationDlg.cpp
  sequenceSelection.cpp
  spectrumCalculationDlg.cpp
)

# Obtain the list with 
# for i in $(grep -l Q_OBJECT *.hpp) ; do echo "  $i"; done
SET (massxpert_MOC_HDRS
  aboutDlg.hpp
  application.hpp
  atomDefDlg.hpp
  calculatorChemPadDlg.hpp
  calculatorChemPadGroupBox.hpp
  calculatorRecorderDlg.hpp
  calculatorWnd.hpp
  chemPadButton.hpp
  cleavageDlg.hpp
  cleaveOligomerTableView.hpp
  cleaveOligomerTableViewMimeData.hpp
  cleaveOligomerTableViewModel.hpp
  cleaveSpecDefDlg.hpp
  compositionsDlg.hpp
  compositionTreeView.hpp
  compositionTreeViewModel.hpp
  configurationSettingsDlg.hpp
  crossLinkerDefDlg.hpp
  decimalPlacesOptionsDlg.hpp
  fragmentationDlg.hpp
  fragmentOligomerTableView.hpp
  fragmentOligomerTableViewMimeData.hpp
  fragmentOligomerTableViewModel.hpp
  fragSpecDefDlg.hpp
  mainWindow.hpp
  massSearchDlg.hpp
  massSearchOligomerTableView.hpp
  massSearchOligomerTableViewMimeData.hpp
  massSearchOligomerTableViewModel.hpp
  modifDefDlg.hpp
  monomerCodeEvaluator.hpp
  monomerCrossLinkDlg.hpp
  monomerDefDlg.hpp
  monomerModificationDlg.hpp
  mzCalculationDlg.hpp
  mzCalculationTreeView.hpp
  mzCalculationTreeViewModel.hpp
  mzLabInputOligomerTableView.hpp
  mzLabInputOligomerTableViewDlg.hpp
  mzLabInputOligomerTableViewModel.hpp
  mzLabOutputOligomerTableView.hpp
  mzLabOutputOligomerTableViewDlg.hpp
  mzLabOutputOligomerTableViewModel.hpp
  mzLabWnd.hpp
  pkaPhPiDlg.hpp
  polChemDefWnd.hpp
  polymerModificationDlg.hpp
  sequenceEditorFindDlg.hpp
  sequenceEditorGraphicsView.hpp
  sequenceEditorWnd.hpp
  sequenceImportDlg.hpp
  sequencePurificationDlg.hpp
  spectrumCalculationDlg.hpp
  )

# Obtain the list with 
# for i in $(ls ui/*.ui) ; do echo "  $i"; done
SET (massxpert_UIS
  ui/aboutDlg.ui
  ui/atomDefDlg.ui
  ui/calculatorChemPadDlg.ui
  ui/calculatorRecorderDlg.ui
  ui/calculatorWnd.ui
  ui/cleavageDlg.ui
  ui/cleaveSpecDefDlg.ui
  ui/compositionsDlg.ui
  ui/configurationSettingsDlg.ui
  ui/crossLinkerDefDlg.ui
  ui/fragmentationDlg.ui
  ui/fragSpecDefDlg.ui
  ui/decimalPlacesOptionsDlg.ui
  ui/massSearchDlg.ui
  ui/modifDefDlg.ui
  ui/monomerCrossLinkDlg.ui
  ui/monomerDefDlg.ui
  ui/monomerModificationDlg.ui
  ui/mzCalculationDlg.ui
  ui/mzLabInputOligomerTableViewDlg.ui
  ui/mzLabOutputOligomerTableViewDlg.ui
  ui/mzLabWnd.ui
  ui/pkaPhPiDlg.ui
  ui/polChemDefWnd.ui
  ui/polymerModificationDlg.ui
  ui/sequenceEditorFindDlg.ui
  ui/sequenceEditorWnd.ui
  ui/sequenceImportDlg.ui
  ui/sequencePurificationDlg.ui
  ui/spectrumCalculationDlg.ui
)


#############################################################
# application icon
IF (WIN32 AND NOT MSVC)
  # Icon for windows
  # Note: can't include .rc directly to source files
  # as it's ignored when used MinGW
  IF (NOT WINDRES)
    FIND_PROGRAM (WINDRES windres)
    IF (NOT WINDRES)
      MESSAGE (FATAL_ERROR "windres not found - aborting")
    ENDIF (NOT WINDRES)
  ENDIF (NOT WINDRES)
  
  IF (MINGW)
    # resource compilation for MinGW
    ADD_CUSTOM_COMMAND (OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/icon.obj
      COMMAND ${WINDRES} 
      -I${CMAKE_CURRENT_SOURCE_DIR} -i${CMAKE_CURRENT_SOURCE_DIR}/massxpert.rc
      -o ${CMAKE_CURRENT_BINARY_DIR}/icon.obj
      )
    SET (massxpert_SRCS ${massxpert_SRCS} ${CMAKE_CURRENT_BINARY_DIR}/icon.obj)
  ELSE (MINGW)
    SET (massxpert_SRCS ${massxpert_SRCS} 
      ${CMAKE_CURRENT_SOURCE_DIR}/massxpert.rc)
  ENDIF (MINGW)
  
ENDIF (WIN32 AND NOT MSVC)


########################################################
# Build

IF (CMAKE_BUILD_TYPE STREQUAL "debug")
  ADD_DEFINITIONS (-g -O0)
ENDIF ()

QT4_WRAP_CPP (massxpert_MOC_SRCS  ${massxpert_MOC_HDRS})

QT4_WRAP_UI (massxpert_UIS_H ${massxpert_UIS})

QT4_ADD_RESOURCES (massxpertQRC_CPP application.qrc)

IF (APPLE)

ADD_EXECUTABLE (${PROGNAME}  MACOSX_BUNDLE 
  ${massxpert_SRCS} 
  ${massxpert_MOC_SRCS}
  ${massxpert_UIS_H} 
  ${massxpertQRC_CPP})

# Apple bundle configuration

  SET (MACOSX_BUNDLE_INFO_STRING "massXpert - version ${VERSION}")
  SET (MACOSX_BUNDLE_BUNDLE_VERSION ${VERSION})
  # Change following line to point to actual icns file in bundle.
  SET (MACOSX_BUNDLE_ICON_FILE "massXpert.icns")
  # means bundle is set to be org.massxpert
  SET (MACOSX_BUNDLE_GUI_IDENTIFIER "org.massxpert")
  SET (MACOSX_BUNDLE_BUNDLE_NAME "massXpert")

  EXEC_PROGRAM ("mkdir -p ${CMAKE_CURRENT_BINARY_DIR}/massXpert.app/Contents/Resources")
  
EXEC_PROGRAM ("cp ${CMAKE_CURRENT_SOURCE_DIR}/images/massXpert.icns ${CMAKE_CURRENT_BINARY_DIR}/massXpert.app/Contents/Resources")
  
# We want to build universal binaries 
SET (CMAKE_OSX_ARCHITECTURES "ppc;i386" 
  CACHE STRING "Build architectures for OSX" FORCE) 

# That can be deployed on older system 
# (Qt 4.4.0 is available starting at 10.3.9) 
SET (CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -mmacosx-version-min=10.3" 
  CACHE STRING "Flags used by the compiler during all build types." FORCE)

SET (CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fvisibility-inlines-hidden" 
  CACHE STRING "Flags used by the compiler during all build types." FORCE)

SET (CMAKE_OSX_SYSROOT "/Developer/SDKs/MacOSX10.4u.sdk" 
  CACHE STRING "MacOSX10.4u.sdk." FORCE)

SET_SOURCE_FILES_PROPERTIES (application.qrc ${TARGET}_fr.qm 
  PROPERTIES MACOSX_BUNDLE_LOCATION Resources)

ELSE (APPLE)

ADD_EXECUTABLE (${PROGNAME}
  ${massxpert_SRCS} 
  ${massxpert_MOC_SRCS}
  ${massxpert_UIS_H} 
  ${massxpertQRC_CPP})

ENDIF (APPLE)

INCLUDE_DIRECTORIES (
  ${QT_INCLUDE_DIR}
  ${QT_QTXML_INCLUDE_DIR}
  ${QT_QTSVG_INCLUDE_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_CURRENT_BINARY_DIR} 
  ${CMAKE_BINARY_DIR} # for the config.h file generated from config.h.in
  ../lib
  )


# Make sure all the symbols from libmasslib.a are in the executable binary!
IF (APPLE)
  SET(MASSLIB -Wl,-all_load ${massxpert_BINARY_DIR}/lib/libmasslib.a -Wl,-noall_load -Wl,-framework,CoreFoundation)
ELSE (APPLE)
  SET(MASSLIB -Wl,-whole-archive ${massxpert_BINARY_DIR}/lib/libmasslib.a -Wl,-no-whole-archive)
ENDIF (APPLE)

  
TARGET_LINK_LIBRARIES (${PROGNAME}
  ${MASSLIB}
  ${QT_LIBRARIES}
  ${QT_QTXML_LIBRARIES}
  ${QT_QTSVG_LIBRARIES}
  )

IF (APPLE)
  # Copy the massXpert.icns icon file in the bundle
  INSTALL (FILES images/massXpert.icns
    DESTINATION ${BUNDLE_DIR}/Contents/Resources)
  
  # Copy the Info.plist file in the bundle
  #INSTALL (FILES ${CMAKE_CURRENT_BINARY_DIR}/massXpert.app/Contents/Info.plist
  #  DESTINATION ${BUNDLE_DIR}/Contents)

ENDIF (APPLE)

IF (NOT APPLE)

  # When building a Mac bundle, we do not install the target
  # because the bundle is being fabricated already.

  INSTALL (TARGETS ${PROGNAME} 
    RUNTIME DESTINATION ${MASSXPERT_BIN_DIR})

ENDIF (NOT APPLE)

=== debian/changelog ===
massxpert (3.2.3-1) unstable; urgency=low

  * debian/rules: setting DPKG_EXPORT_BUILDFLAGS=1 to implement the Debian
    hardening guidelines.

  * Modification in the dna.xml file to better document the photocleavable 
    biotin modification

 -- Filippo Rusconi <lopippo@debian.org>  Fri, 08 Jun 2012 11:09:47 +0200

massxpert (3.2.2-1) unstable; urgency=low

  * Upstream release:

    - Fix warning messages from gcc, complaining about set variable
    values, but unused variables. Replaced corresponding Q_ASSERT() calls
    to qFatal() ones.

 -- Filippo Rusconi <lopippo@debian.org>  Mon, 14 May 2012 17:28:42 +0200

massxpert (3.2.1-1) unstable; urgency=low

  * Upstream release:

    - fix a bug in the definition of the protein chemical modifications 
    TNB and  DTNB;
  
  * Add debian/upstream to document a reference to a paper describing this
    software;
  * Fix problem with failing symbolic link between the massxpert and -dbg
    doc directories (lintian W binaries-have-file-conflict);
  * Bump-up Standards Version number to 3.9.3 from 3.9.1.

 -- Filippo Rusconi <lopippo@debian.org>  Thu, 10 May 2012 15:57:45 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: The Debichem Group <debichem-devel@lists.alioth.debian.org>
 Uploaders: Filippo Rusconi <lopippo@debian.org>
 Build-Depends: debhelper (>=7.0.50~), libqt4-dev (>=4.4.3), cmake (>=2.6.0), texlive-latex-recommended, texlive-fonts-recommended
-Standards-Version: 3.9.1
+Standards-Version: 3.9.3
 Homepage: http://www.massxpert.org
 Vcs-Git: git://git.debian.org/git/debichem/packages/massxpert.git
 Vcs-Browser: http://git.debian.org/?p=debichem/packages/massxpert.git

=== debian/rules ===
--- 
+++ 
@@ -31,6 +31,12 @@
 $(info MAKEFLAGS: $(MAKEFLAGS))
 $(info DEB_BUILD_OPTIONS: $(DEB_BUILD_OPTIONS))
 $(info "---------------------------------------")
+
+# Hardening stuff, see http://wiki.debian.org/Hardening
+DPKG_EXPORT_BUILDFLAGS = 1
+include /usr/share/dpkg/buildflags.mk
+CFLAGS+=$(CPPFLAGS)
+CXXFLAGS+=$(CPPFLAGS)
 
 .NOTPARALLEL: 
 
@@ -162,9 +168,6 @@
 	dh_testroot -a
 	dh_installchangelogs  -a
 	dh_installdocs -a
-	# Same doc directory for changelog.Debian.gz and copyright files
-	# in both massxpert and massxpert-dbg
-	dh_link usr/share/doc/massxpert usr/share/doc/massxpert-dbg
 	dh_install -a
 	dh_installmenu -a
 	dh_installman -a

## massxpert 3.4.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #############################################################
 # Software configuration
 PROJECT (massxpert)
-SET (VERSION "3.2.2")
+SET (VERSION "3.4.0")
 
 IF (APPLE)
   # If Mac OS X, then capitalize the program name.

=== debian/changelog ===
massxpert (3.4.0-1) unstable; urgency=low

  * New upstream release:

    - Implemented the primary selection clipboard copy in the sequence
    editor window;

    - Implemented feature that allows one to enter a coordinates string in
    the sequence editor window so as to select a specific sequence or make
    a multi-region selection or make a multi-selection region.

    - Refactored the mz lab GUI so as to greatly simplify its use.
  
    - Update of the french translation.
  
 -- Filippo Rusconi <lopippo@debian.org>  Tue, 25 Dec 2012 22:04:33 +0100

massxpert (3.3.0-1) unstable; urgency=low

  * New upstream release implementing new ways to import mass data in the
    m/z lists of the mzLab. Updated the documentation.

 -- Filippo Rusconi <lopippo@debian.org>  Tue, 04 Dec 2012 21:00:17 +0100

massxpert (3.2.4-1) unstable; urgency=low

  * debian/control: add Build-Depends: dpkg-dev (>= 1.16.1~) as lintian
    complained about transitive dependencies that should be made explicit.
  
  * Added new modifications in the protein-1-letter chemistry definition.

 -- Filippo Rusconi <lopippo@debian.org>  Wed, 17 Oct 2012 20:37:47 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: The Debichem Group <debichem-devel@lists.alioth.debian.org>
 Uploaders: Filippo Rusconi <lopippo@debian.org>
-Build-Depends: debhelper (>=7.0.50~), libqt4-dev (>=4.4.3), cmake (>=2.6.0), texlive-latex-recommended, texlive-fonts-recommended
+Build-Depends: debhelper (>=7.0.50~), dpkg-dev (>= 1.16.1~), libqt4-dev (>=4.6), cmake (>=2.6.0), texlive-latex-recommended, texlive-fonts-recommended
 Standards-Version: 3.9.3
 Homepage: http://www.massxpert.org
 Vcs-Git: git://git.debian.org/git/debichem/packages/massxpert.git

## massxpert 3.4.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #############################################################
 # Software configuration
 PROJECT (massxpert)
-SET (VERSION "3.4.0")
+SET (VERSION "3.4.1")
 
 IF (APPLE)
   # If Mac OS X, then capitalize the program name.

=== data/CMakeLists.txt ===
INSTALL (DIRECTORY pol-chem-defs pol-seqs dictionaries
  DESTINATION ${MASSXPERT_DATA_DIR})

INSTALL (FILES chem_pad.conf
  DESTINATION ${MASSXPERT_DATA_DIR})

=== gui/CMakeLists.txt ===
--- 
+++ 
@@ -49,10 +49,13 @@
   mzCalculationTreeViewItem.cpp
   mzCalculationTreeViewModel.cpp
   mzCalculationTreeViewSortProxyModel.cpp
+  mzLabFormulaBasedActionsDlg.cpp
   mzLabInputOligomerTableView.cpp
   mzLabInputOligomerTableViewDlg.cpp
   mzLabInputOligomerTableViewModel.cpp
   mzLabInputOligomerTableViewSortProxyModel.cpp
+  mzLabMassBasedActionsDlg.cpp
+  mzLabMatchBasedActionsDlg.cpp
   mzLabOutputOligomerTableView.cpp
   mzLabOutputOligomerTableViewDlg.cpp
   mzLabOutputOligomerTableViewModel.cpp
@@ -113,9 +116,12 @@
   mzCalculationDlg.hpp
   mzCalculationTreeView.hpp
   mzCalculationTreeViewModel.hpp
+  mzLabFormulaBasedActionsDlg.hpp
   mzLabInputOligomerTableView.hpp
   mzLabInputOligomerTableViewDlg.hpp
   mzLabInputOligomerTableViewModel.hpp
+  mzLabMassBasedActionsDlg.hpp
+  mzLabMatchBasedActionsDlg.hpp
   mzLabOutputOligomerTableView.hpp
   mzLabOutputOligomerTableViewDlg.hpp
   mzLabOutputOligomerTableViewModel.hpp
@@ -153,7 +159,10 @@
   ui/monomerDefDlg.ui
   ui/monomerModificationDlg.ui
   ui/mzCalculationDlg.ui
+  ui/mzLabFormulaBasedActionsDlg.ui
   ui/mzLabInputOligomerTableViewDlg.ui
+  ui/mzLabMassBasedActionsDlg.ui
+  ui/mzLabMatchBasedActionsDlg.ui
   ui/mzLabOutputOligomerTableViewDlg.ui
   ui/mzLabWnd.ui
   ui/pkaPhPiDlg.ui

=== lib/CMakeLists.txt ===
########################################################
# Files

# Obtain the list with 
# for i in $(ls *.cpp -1 | grep -v ^moc.* | grep -v ^qrc.*) ; do echo "  $i";done
SET (masslib_SRCS
  atomCount.cpp
  atom.cpp
  calcOptions.cpp
  peakCentroid.cpp
  chemEntVignette.cpp
  chemEntVignetteRenderer.cpp
  chemicalGroup.cpp
  chemicalGroupRule.cpp
  cleaveMotif.cpp
  cleaveOligomer.cpp
  cleaveOptions.cpp
  cleaver.cpp
  cleaveRule.cpp
  cleaveSpec.cpp
  configSettings.cpp
  coordinates.cpp
  crossLink.cpp
  crossLinkedRegion.cpp
  crossLinker.cpp
  crossLinkerSpec.cpp
  crossLinkList.cpp
  formula.cpp
  fragmenter.cpp
  fragmentOligomer.cpp
  fragOptions.cpp
  fragRule.cpp
  fragSpec.cpp
  globals.cpp
  ionizable.cpp
  ionizeRule.cpp
  isotope.cpp
  isotopicPatternCalculator.cpp
  massList.cpp
  modif.cpp
  modifSpec.cpp
  monomer.cpp
  monomerDictionary.cpp
  monomerSpec.cpp
  oligomer.cpp
  oligomerList.cpp
  oligomerPair.cpp
  peakShape.cpp
  peakShapeConfig.cpp
  pkaPhPi.cpp
  pkaPhPiDataParser.cpp
  polChemDefCatParser.cpp
  polChemDef.cpp
  polChemDefEntity.cpp
  polChemDefSpec.cpp
  polymer.cpp
  ponderable.cpp
  prop.cpp
  propListHolder.cpp
  sequence.cpp
  userSpec.cpp
  )

# Obtain the list with 
# for i in $(grep -l Q_OBJECT *.hpp) ; do echo "  $i"; done
SET (masslib_MOC_HDRS
  chemEntVignette.hpp
  chemEntVignetteRenderer.hpp
  crossLinkList.hpp
  isotopicPatternCalculator.hpp
  oligomerList.hpp
  polymer.hpp
  )


########################################################
# Build

IF (CMAKE_BUILD_TYPE STREQUAL "debug")
  ADD_DEFINITIONS (-g -O0)
ENDIF ()

QT4_WRAP_CPP (masslib_MOC_SRCS  ${masslib_MOC_HDRS})

IF( APPLE )

ENDIF (APPLE)

ADD_LIBRARY (masslib STATIC 
  ${masslib_SRCS} ${masslib_MOC_SRCS}
  )


INCLUDE_DIRECTORIES (
  ${QT_INCLUDE_DIR}
  ${QT_QTXML_INCLUDE_DIR}
  ${QT_QTSVG_INCLUDE_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_BINARY_DIR} # for the config.h file generated from config.h.in
  )

TARGET_LINK_LIBRARIES (masslib
  ${QT_LIBRARIES}
  ${QT_QTXML_LIBRARIES}
  ${QT_QTSVG_LIBRARIES}
  )

=== plugins-src/CMakeLists.txt ===
#############################################################
# process subdirs
SUBDIRS (massListSorterPlugin seqToolsPlugin numeralsLocaleConverterPlugin)

=== usermanual/CMakeLists.txt ===
#############################################################
# There are warning issued during the compilation of almost
# any LaTeX source, but we want the compilation not to stop...
# Because the build process has -Werror set globally we want to
# disable it here specifically.
IF (PEDANTIC)
  REMOVE_DEFINITIONS (-Werror)
ENDIF (PEDANTIC)

IF (UNIX AND NOT APPLE)

  INCLUDE (UseLATEX.cmake)
  
  SET (texInputFiles massxpert-macros.tex massxpert-version.tex 
    titlepage.tex front-matter.tex toc-lof-lot.tex 
    preface.tex installation.tex basics-polchem.tex basics-massspec.tex
    generalities.tex xpertdef.tex xpertcalc.tex xpertedit.tex
    xpertminer.tex data-customization.tex appendices.tex 
    protein-1-letter.xml.tex leu-enkephalin.mxp.tex pka_ph_pi.xml.tex 
    GNU-GPL-3.0.tex index.tex)
  
  ADD_LATEX_DOCUMENT (massxpert.tex
    DEFAULT_PDF
    INPUTS ${texInputFiles}
    CONFIGURE massxpert-version.tex
    DEPENDS massxpert-style.sty 
    IMAGE_DIRS figures
    USE_INDEX)
  
  # With GNU/Linux deliver the user manual (because the Debian
  # Packaging involves creating a massxpert-doc package). But for
  # MS-Windows and MacOSX, we do not ship the user manual (too big
  # file).
  
  INSTALL (FILES ${CMAKE_BINARY_DIR}/usermanual/massxpert.pdf
    DESTINATION ${MASSXPERT_USERMAN_DIR})
  
ENDIF (UNIX AND NOT APPLE)

=== plugins-src/massListSorterPlugin/CMakeLists.txt ===
########################################################
# Files

# Obtain the list with 
# for i in $(ls *.cpp -1 | grep -v ^moc.* | grep -v ^qrc.*) ; do echo "  $i";done
SET (massListSorterPlugin_SRCS
  massListSorterPlugin.cpp
  massListSorterPluginDlg.cpp
)

# Obtain the list with 
# for i in $(grep -l Q_OBJECT *.hpp) ; do echo "  $i"; done
SET (massListSorterPlugin_MOC_HDRS
  massListSorterPluginDlg.hpp
  massListSorterPlugin.hpp
)


########################################################
# Build

INCLUDE_DIRECTORIES (
  ${QT_INCLUDE_DIR}
  ${QT_QTGUI_INCLUDE_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_CURRENT_BINARY_DIR} 
  ../.. ../../gui ../../lib
  )

QT4_WRAP_CPP (massListSorterPlugin_MOC_SRCS  ${massListSorterPlugin_MOC_HDRS})


ADD_DEFINITIONS (${QT_DEFINITIONS})
ADD_DEFINITIONS (-DQT_PLUGIN)
ADD_DEFINITIONS (-DQT_NO_DEBUG)
ADD_DEFINITIONS (-DQT_SHARED)


ADD_LIBRARY (massListSorterPlugin MODULE
  ${massListSorterPlugin_SRCS}
  ${massListSorterPlugin_MOC_SRCS}
  )


IF (WIN32 OR APPLE)
  SET (linkLibraries
    ${QT_LIBRARIES}
    ${QT_QTGUI_LIBRARIES}
    masslib)
ELSEIF (UNIX)
  SET (linkLibraries
    ${QT_LIBRARIES}
    ${QT_QTGUI_LIBRARIES})
ENDIF (WIN32 OR APPLE)


TARGET_LINK_LIBRARIES (massListSorterPlugin
  ${linkLibraries})

INSTALL (TARGETS massListSorterPlugin
  DESTINATION ${MASSXPERT_PLUGIN_DIR})

=== plugins-src/numeralsLocaleConverterPlugin/CMakeLists.txt ===
########################################################
# Files

# Obtain the list with 
# for i in $(ls *.cpp -1 | grep -v ^moc.* | grep -v ^qrc.*) ; do echo "  $i";done
SET (numeralsLocaleConverterPlugin_SRCS
  numeralsLocaleConverterPlugin.cpp
  numeralsLocaleConverterPluginDlg.cpp
  )

# Obtain the list with 
# for i in $(grep -l Q_OBJECT *.hpp) ; do echo "  $i"; done
SET (numeralsLocaleConverterPlugin_MOC_HDRS
  numeralsLocaleConverterPluginDlg.hpp
  numeralsLocaleConverterPlugin.hpp
  )

# Obtain the list with 
# for i in $(ls ui/*.ui) ; do echo "  $i"; done
SET (numeralsLocaleConverterPlugin_UIS
  ui/NumeralsLocaleConverterPluginDlg.ui
  )

########################################################
# Build

INCLUDE_DIRECTORIES (
  ${QT_INCLUDE_DIR}
  ${QT_QTXML_INCLUDE_DIR}
  ${QT_QTSVG_INCLUDE_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_CURRENT_BINARY_DIR} 
  ../.. ../../gui ../../lib
  )

QT4_WRAP_CPP (numeralsLocaleConverterPlugin_MOC_SRCS 
  ${numeralsLocaleConverterPlugin_MOC_HDRS})

QT4_WRAP_UI (numeralsLocaleConverterPlugin_UIS_H 
  ${numeralsLocaleConverterPlugin_UIS})

ADD_DEFINITIONS (${QT_DEFINITIONS})
ADD_DEFINITIONS (-DQT_PLUGIN)
ADD_DEFINITIONS (-DQT_NO_DEBUG)
ADD_DEFINITIONS (-DQT_SHARED)

ADD_LIBRARY (numeralsLocaleConverterPlugin MODULE
  ${numeralsLocaleConverterPlugin_SRCS} 
  ${numeralsLocaleConverterPlugin_MOC_SRCS}
  ${numeralsLocaleConverterPlugin_UIS_H}
  )

IF (WIN32 OR APPLE)
  SET (linkLibraries
    ${QT_LIBRARIES}
    ${QT_QTGUI_LIBRARIES}
    masslib)
ELSEIF (UNIX)
  SET (linkLibraries
    ${QT_LIBRARIES}
    ${QT_QTGUI_LIBRARIES})
ENDIF (WIN32 OR APPLE)


TARGET_LINK_LIBRARIES (numeralsLocaleConverterPlugin
  ${linkLibraries})

INSTALL (TARGETS numeralsLocaleConverterPlugin
  DESTINATION ${MASSXPERT_PLUGIN_DIR})

=== plugins-src/seqToolsPlugin/CMakeLists.txt ===
########################################################
# Files

# Obtain the list with 
# for i in $(ls *.cpp -1 | grep -v ^moc.* | grep -v ^qrc.*) ; do echo "  $i";done
SET (seqToolsPlugin_SRCS
  seqToolsPlugin.cpp
  seqToolsPluginDlg.cpp
)

# Obtain the list with 
# for i in $(grep -l Q_OBJECT *.hpp) ; do echo "  $i"; done
SET (seqToolsPlugin_MOC_HDRS
  seqToolsPluginDlg.hpp
  seqToolsPlugin.hpp
)

########################################################
# Build

INCLUDE_DIRECTORIES (
  ${QT_INCLUDE_DIR}
  ${QT_QTXML_INCLUDE_DIR}
  ${QT_QTSVG_INCLUDE_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_CURRENT_BINARY_DIR} 
  ../.. ../../gui ../../lib
  )

QT4_WRAP_CPP (seqToolsPlugin_MOC_SRCS  ${seqToolsPlugin_MOC_HDRS})

ADD_DEFINITIONS (${QT_DEFINITIONS})
ADD_DEFINITIONS (-DQT_PLUGIN)
ADD_DEFINITIONS (-DQT_NO_DEBUG)
ADD_DEFINITIONS (-DQT_SHARED)

ADD_LIBRARY (seqToolsPlugin MODULE
  ${seqToolsPlugin_SRCS} ${seqToolsPlugin_MOC_SRCS}
  )

TARGET_LINK_LIBRARIES (seqToolsPlugin
  ${QT_LIBRARIES}
  ${QT_QTGUI_LIBRARIES}
  )

INSTALL (TARGETS seqToolsPlugin
  DESTINATION ${MASSXPERT_PLUGIN_DIR})

=== debian/changelog ===
massxpert (3.4.1-1) unstable; urgency=low

  * This new package happens to close a bug which needed no fixes
    (Closes: #701319)
  * debian/control: set Standards-Version: 3.9.4
  * debian/control: set standard vcs uri's
  * debian/compat: set value 9 (hardening stuff automagically handled)
  * debian/rules: update the hardening stuff according to using v9 of
    debhelper
  * debian/control: set debhelper dependency version to 9.20130630
  * massxpert.desktop: Icon=massxpert-icon-32 (no extension for filename)
  * massxpert.desktop: Categories=Science (one categ. only)
  
 -- Filippo Rusconi <lopippo@debian.org>  Mon, 01 Jul 2013 14:25:27 +0200

=== debian/control ===
--- 
+++ 
@@ -3,11 +3,11 @@
 Priority: optional
 Maintainer: The Debichem Group <debichem-devel@lists.alioth.debian.org>
 Uploaders: Filippo Rusconi <lopippo@debian.org>
-Build-Depends: debhelper (>=7.0.50~), dpkg-dev (>= 1.16.1~), libqt4-dev (>=4.6), cmake (>=2.6.0), texlive-latex-recommended, texlive-fonts-recommended
-Standards-Version: 3.9.3
+Build-Depends: debhelper (>=9.20130630), dpkg-dev (>= 1.16.1~), libqt4-dev (>=4.6), cmake (>=2.6.0), texlive-latex-recommended, texlive-fonts-recommended
+Standards-Version: 3.9.4
 Homepage: http://www.massxpert.org
-Vcs-Git: git://git.debian.org/git/debichem/packages/massxpert.git
-Vcs-Browser: http://git.debian.org/?p=debichem/packages/massxpert.git
+Vcs-Git: git://anonscm.debian.org/debichem/packages/massxpert.git
+Vcs-Browser: http://anonscm.debian.org/git/debichem/packages/massxpert.git
 
 Package: massxpert
 Architecture: any

=== debian/watch ===
version=3

http://download.tuxfamily.org/massxpert/source/ \
massxpert-([\d\.]*)\.tar\.gz \
